import { SchemaInitializer } from "../../../application/schema-initializer/SchemaInitializer.mjs";
import { gridRowColWrap } from "../../../schema-initializer/utils.mjs";
const recordFormBlockInitializers = new SchemaInitializer({
    name: 'RecordFormBlockInitializers',
    title: '{{ t("Add block") }}',
    icon: 'PlusOutlined',
    wrap: gridRowColWrap,
    items: [
        {
            type: 'itemGroup',
            title: '{{ t("Data blocks") }}',
            name: 'dataBlocks',
            children: [
                {
                    name: 'form',
                    title: '{{ t("Form") }}',
                    Component: 'RecordFormBlockInitializer'
                }
            ]
        },
        {
            type: 'itemGroup',
            title: '{{t("Other blocks")}}',
            name: 'otherBlocks',
            children: [
                {
                    name: 'markdown',
                    title: '{{t("Demonstration text")}}',
                    Component: 'MarkdownBlockInitializer'
                }
            ]
        }
    ]
});
export { recordFormBlockInitializers };
